<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

/***************
 * Include TypoScript
 */

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript/Bootstrap', 'Bootstrap Components');


/***************
 * New fields in table:pages
 */

$tempPagesColumns = Array (
	'tx_t3sbootstrap_glyphicon' => Array (
		'exclude' => 1,
		'label' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:pages.tx_t3sbootstrap_glyphicon',
			'config' => Array (
				'type' => 'input',
				'size' => '30',
			),
	),
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages',$tempPagesColumns,1);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('pages','tx_t3sbootstrap_glyphicon;;;;1-1-1');


/***************
 * New fields in table:tt_content
 */

$tempContentColumns = array (
	'tx_t3sbootstrap_panel_state' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:tt_content.tx_t3sbootstrap_panel_state',
		'config' => array (
			'type' => 'select',
			'items' => array(
				array('Default', 'default'),
				array('Primary', 'primary'),
				array('Success', 'success'),
				array('Info', 'info'),
				array('Warning', 'warning'),
				array('Danger', 'danger'),
			),
			'size' => 1,
			'maxitems' => 1,
			'eval' => 'required'
		)
	),

	'tx_t3sbootstrap_list_group' => array (
		'exclude' => 1,
		'label' => 'Bootstrap:',
		'config' => array (
			'type' => 'select',
			'items' => array(
				array('Unordered', 'list-unordered'),
				array('Ordered', 'ordered'),
				array('List group', 'list-group'),
				array('Unstyled list', 'list-unstyled'),
				array('Inline list', 'list-inline'),
			),
			'size' => 1,
			'maxitems' => 1,
			'eval' => 'required'
		)
	),

	'tx_t3sbootstrap_imagestyle' => array (
		'exclude' => 1,
		'label' => 'Bootstrap:',
		'config' => array (
			'type' => 'select',
			'items' => array(
				array('Default', '0'),
				array('Rounded', '1'),
				array('Circle', '2'),
				array('Thumbnail', '3'),
			),
			'size' => 1,
			'maxitems' => 1,
			'eval' => 'required'
		)
	),

	'tx_t3sbootstrap_mediapull' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:tt_content.tx_t3sbootstrap_media_pull',
		'config' => array (
			'type' => 'select',
			'items' => array(
				array('LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:tt_content.tx_t3sbootstrap_media_pull_left', 'left'),
				array('LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:tt_content.tx_t3sbootstrap_media_pull_right', 'right'),
			),
			'size' => 1,
			'maxitems' => 1,
			'eval' => 'required'
		)
	),


);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content',$tempContentColumns,1);

/***************
 * Add Bootstrap components - new content elements
 */

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
	array(
		'Bootstrap: Panel',
		't3sbootstrap_panel',
	),
	'CType'
);

$GLOBALS['TCA']['tt_content']['types']['t3sbootstrap_panel']['showitem'] = '--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.general;general,header,tx_t3sbootstrap_panel_state,bodytext;LLL:EXT:cms/locallang_ttc.xml:bodytext_formlabel;;richtext:rte_transform[flag=rte_enabled|mode=ts_css], rte_enabled;LLL:EXT:cms/locallang_ttc.xml:rte_enabled_formlabel,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.appearance, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.frames;frames,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.visibility;visibility, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.access;access, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.extended, tx_gridelements_container, tx_gridelements_columns';


\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
	array(
		'Bootstrap: Media object',
		't3sbootstrap_mediaobject'
	),
	'CType'
);

$GLOBALS['TCA']['tt_content']['types']['t3sbootstrap_mediaobject']['showitem'] = '--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.general;general,image, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.image_settings;image_settings, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.imagelinks;imagelinks,tx_t3sbootstrap_mediapull,header,bodytext;LLL:EXT:cms/locallang_ttc.xml:bodytext_formlabel;;richtext:rte_transform[flag=rte_enabled|mode=ts_css], rte_enabled;LLL:EXT:cms/locallang_ttc.xml:rte_enabled_formlabel,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.appearance, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.frames;frames,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.visibility;visibility, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.access;access, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.extended, tx_gridelements_container, tx_gridelements_columns';


\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
	array(
		'Bootstrap: Thumbnail',
		't3sbootstrap_thumbnail'
	),
	'CType'
);

$GLOBALS['TCA']['tt_content']['types']['t3sbootstrap_thumbnail']['showitem'] = '--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.general;general,image, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.imagelinks;imagelinks,--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.header;header,bodytext;LLL:EXT:cms/locallang_ttc.xml:bodytext_formlabel;;richtext:rte_transform[flag=rte_enabled|mode=ts_css], rte_enabled;LLL:EXT:cms/locallang_ttc.xml:rte_enabled_formlabel,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.visibility;visibility, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.access;access, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.extended, tx_gridelements_container, tx_gridelements_columns';


\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
	array(
		'Bootstrap: Carousel',
		't3sbootstrap_carousel'
	),
	'CType'
);

$GLOBALS['TCA']['tt_content']['types']['t3sbootstrap_carousel']['showitem'] = '--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.general;general,image,header,bodytext;LLL:EXT:cms/locallang_ttc.xml:bodytext_formlabel;;richtext:rte_transform[flag=rte_enabled|mode=ts_css], rte_enabled;LLL:EXT:cms/locallang_ttc.xml:rte_enabled_formlabel, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.visibility;visibility, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.access;access, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.extended, tx_gridelements_container, tx_gridelements_columns';



# tx_t3sbootstrap_list_group in CType=bullets
$GLOBALS['TCA']['tt_content']['types']['bullets']['showitem'] = '--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.general;general, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.header;header,tx_t3sbootstrap_list_group,bodytext;LLL:EXT:cms/locallang_ttc.xml:bodytext.ALT.bulletlist_formlabel;;nowrap,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.appearance,--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.frames;frames,--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.textlayout;textlayout,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access,--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.visibility;visibility,--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.access;access,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.extended, tx_gridelements_container, tx_gridelements_columns';

# tx_t3sbootstrap_imagestyle in CType=image
$GLOBALS['TCA']['tt_content']['types']['image']['showitem'] = '--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.general;general, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.header;header, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.images, image, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.imagelinks;imagelinks, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.appearance, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.frames;frames, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.image_settings;image_settings, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.imageblock;imageblock,tx_t3sbootstrap_imagestyle, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.visibility;visibility, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.access;access, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.extended, tx_gridelements_container, tx_gridelements_columns';

# tx_t3sbootstrap_imagestyle in CType=textpic
$GLOBALS['TCA']['tt_content']['types']['textpic']['showitem'] = '--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.general;general, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.header;header, bodytext;Text;;richtext:rte_transform[flag=rte_enabled|mode=ts_css], rte_enabled;LLL:EXT:cms/locallang_ttc.xml:rte_enabled_formlabel,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.images, image, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.imagelinks;imagelinks,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.appearance, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.frames;frames, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.image_settings;image_settings, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.imageblock;imageblock, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.textlayout;textlayout,tx_t3sbootstrap_imagestyle, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.visibility;visibility, --palette--;LLL:EXT:cms/locallang_ttc.xml:palette.access;access, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.extended, tx_gridelements_container, tx_gridelements_columns';



?>